function [ b ] = checkExplicitProblem( problem,x )
%TESTEX Summary of this function goes here
%   Detailed explanation goes here
bisConvHull=checkOneFunction(problem,'isConvHull',[1;1]);
nrOfIndexset=problem.getNrIndexSets();

bevalPoints=1;
bgetNumberOfPoints=1;
bDxGetPoint=1;

for j=1:nrOfIndexset
    bgetNumberOfPoints=min(bgetNumberOfPoints,checkOneFunction(problem,'getNumberOfPoints',[1;1],j));
    if bgetNumberOfPoints
        nrOfPoints=problem.getNumberOfPoints(j);
        n=problem.getNrLowLevVars(j);
        m=problem.getNrUppLevVars;
        n=n(j);
        bevalPoints=min(bevalPoints,checkOneFunction(problem,'evalPoints',[nrOfPoints;n],j,x));
        bDxGetPoint=min(bDxGetPoint,checkOneFunction3DOutput(problem,'DxGetPoint',[n;m;nrOfPoints],j,x));
    end
    

   
    
    
    
end
if bgetNumberOfPoints && bevalPoints
    nrOfPoints=problem.getNumberOfPoints(1);
    y=problem.evalPoints(1);
    bevalSemiInfConstrs=1;
    bDySemiInfConstrs=1;
    bDxSemiInfConstrs=1;
    nrOfSemiInfConstrs=problem.getNrSemiInfConstrs;
    for i=1:nrOfSemiInfConstrs
    bevalSemiInfConstrs=min(bevalSemiInfConstrs,checkOneFunction(problem,'evalSemiInfConstrs',[nrOfPoints;1],i,x,y));
    m=problem.getNrUppLevVars;
    bDySemiInfConstrs=min(bDySemiInfConstrs,checkOneFunction(problem,'DySemiInfConstrs',[nrOfPoints;n],i,x,y));
    bDxSemiInfConstrs=min(bDxSemiInfConstrs,checkOneFunction(problem,'DxSemiInfConstrs',[nrOfPoints;m],i,x,y));
    end
    
    bevalInvTrafoFun=1;
    bevalTrafoFun=1;
    bDxTrafoFun=1;
    for j=1:nrOfIndexset
        bevalInvTrafoFun=min(bevalInvTrafoFun,checkOneFunction(problem,'evalInvTrafoFun',[nrOfPoints;inf],j,x,y));
        if bevalInvTrafoFun
            z=problem.evalInvTrafoFun(j,x,y);
            bevalTrafoFun=min(bevalTrafoFun,checkOneFunction(problem,'evalTrafoFun',[nrOfPoints;n],j,x,z));
            %bDxTrafoFun=checkOneFunction(design,'DxTrafoFun',[2;dim],x,z);
            bDxTrafoFun=min(bDxTrafoFun,checkOneFunction3DOutput(problem,'DxTrafoFun',[n;m;nrOfPoints],j,x,z));
        end
    end
 end   
    

b=min([bisConvHull,bevalPoints,bgetNumberOfPoints,bDxGetPoint,bevalSemiInfConstrs,...
    bDySemiInfConstrs,bDxSemiInfConstrs, bevalInvTrafoFun,bevalTrafoFun,bDxTrafoFun]);

      
end

